Bug 1918962 - [IPI on vsphere] Executing 'openshift-installer destroy cluster' leaves installer tag categories in vsphere
Summary: [IPI on vsphere] Executing 'openshift-installer destroy cluster' leaves insta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: x86_64
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.z
Assignee: aos-install
QA Contact: jima
URL:
Whiteboard:
Depends On: 1918961
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-21 18:57 UTC by Patrick Dillon
Modified: 2021-03-03 04:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1918961
Environment:
Last Closed: 2021-03-03 04:40:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4580 0 None closed [release-4.5] Bug 1918962: vsphere destroy: delete tag category created by installer 2021-02-08 17:00:15 UTC
Red Hat Product Errata RHSA-2021:0428 0 None None None 2021-03-03 04:40:52 UTC

Comment 1 Nick Stielau 2021-02-03 19:25:49 UTC
Doesn't seem like a 4.7 blocker

Comment 3 jima 2021-02-05 01:56:07 UTC
Verified on 4.5.0-0.nightly-2021-02-04-193735, and passed.

$ ./openshift-install destroy cluster --dir ipi_test --log-level debug
DEBUG OpenShift Installer 4.5.0-0.nightly-2021-02-04-193735 
DEBUG Built from commit e30ca92797532d9f0e0c56aac20aad27e594ab43 
DEBUG find attached objects on tag                 
DEBUG find VirtualMachine objects                  
DEBUG delete VirtualMachines                       
INFO Destroyed                                     VirtualMachine=jima0205-sq62j-rhcos
DEBUG Powered off                                   VirtualMachine=jima0205-sq62j-master-0
INFO Destroyed                                     VirtualMachine=jima0205-sq62j-master-0
DEBUG Powered off                                   VirtualMachine=jima0205-sq62j-master-2
INFO Destroyed                                     VirtualMachine=jima0205-sq62j-master-2
DEBUG Powered off                                   VirtualMachine=jima0205-sq62j-master-1
INFO Destroyed                                     VirtualMachine=jima0205-sq62j-master-1
DEBUG Powered off                                   VirtualMachine=jima0205-sq62j-worker-w4w4q
INFO Destroyed                                     VirtualMachine=jima0205-sq62j-worker-w4w4q
DEBUG Powered off                                   VirtualMachine=jima0205-sq62j-worker-hppjb
INFO Destroyed                                     VirtualMachine=jima0205-sq62j-worker-hppjb
DEBUG Powered off                                   VirtualMachine=jima0205-sq62j-worker-vj4fg
INFO Destroyed                                     VirtualMachine=jima0205-sq62j-worker-vj4fg
DEBUG find Folder objects                          
DEBUG delete Folder                                
INFO Destroyed                                     Folder=jima0205-sq62j

Also could not find tag category "openshift-jima0205-sq62j"on vsphere client any more.
$ govc tags.category.ls | grep jima0205-sq62j
$

Comment 6 errata-xmlrpc 2021-03-03 04:40:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.5.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0428


Note You need to log in before you can comment on or make changes to this bug.